Bug 246438 - security/keepass: Update to 2.45
Summary: security/keepass: Update to 2.45
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: buildisok, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2020-05-13 12:01 UTC by Michael Muenz
Modified: 2020-06-10 11:17 UTC (History)
2 users (show)

See Also:


Attachments
keepass 2.45 (1.21 KB, patch)
2020-05-13 12:01 UTC, Michael Muenz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Muenz 2020-05-13 12:01:16 UTC
Created attachment 214451 [details]
keepass 2.45

- Update to latest version
- portlint -A is happy
- poudriere builds fine for 12.1 64bit
- cherrypicked a MAKE_ENV to allow testbuild from here https://svnweb.freebsd.org/ports/head/devel/monodevelop/Makefile?r1=523843&r2=523842&pathrev=523843
- will also close https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=236130
Comment 1 Automation User 2020-05-13 13:24:05 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/145577695
Comment 2 Michael Muenz 2020-05-29 09:06:45 UTC
Shal I take over maintainership to speed things up?
Comment 3 Ben Woods freebsd_committer 2020-06-03 21:27:11 UTC
Hi Michael,
This patch looks good to me.
If you are willing to maintain this port, I will gladly set you as the maintainer (it has no maintainer at the moment, since I stopped using it and released maintainership).
Comment 4 commit-hook freebsd_committer 2020-06-03 23:53:21 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun  3 23:52:41 UTC 2020
New revision: 537858
URL: https://svnweb.freebsd.org/changeset/ports/537858

Log:
  security/keepass: Update to 2.45

  Changes this release:
    https://keepass.info/news/n200507_2.45.html

  PR:		246438
  Submitted by:	Michael Muenz <m.muenz@gmail.com>

Changes:
  head/security/keepass/Makefile
  head/security/keepass/distinfo
Comment 5 Ben Woods freebsd_committer 2020-06-03 23:53:43 UTC
Committed - thanks!

PS: if you want to be maintainer, just reply here on this bug report and let me know - I will make it happen :)
Comment 6 Michael Muenz 2020-06-04 04:53:50 UTC
Hi Ben,

Thanks for having a look at it. Sure, you can set me as maintainer if there's no update or similar required. :)
Comment 7 commit-hook freebsd_committer 2020-06-10 11:17:08 UTC
A commit references this bug:

Author: woodsb02
Date: Wed Jun 10 11:16:44 UTC 2020
New revision: 538389
URL: https://svnweb.freebsd.org/changeset/ports/538389

Log:
  security/keepass: Set maintainer to latest submitter

  PR:		246438
  Approved by:	Michael Muenz <m.muenz@gmail.com> (new maintainer)

Changes:
  head/security/keepass/Makefile